Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.campaign
Class AddUserDiscountActionDef

    java.lang.Object
      |
      +--com.bea.campaign.action.ActionDef
            |
            +--com.bea.commerce.ebusiness.campaign.AddUserDiscountActionDef

public class AddUserDiscountActionDef
extends ActionDef

An action definition specific to the AddUserDiscountAction

See Also:
  Serialized Form

Constructor Summary
`AddUserDiscountActionDef()`
`AddUserDiscountActionDef(java.lang.String name, java.lang.String description)` Constructor.
`AddUserDiscountActionDef(java.lang.String set, java.lang.String name, java.lang.String description)` Deprecated. use the two argument constructor

Methods inherited from class com.bea.campaign.action.ActionDef
`createAction, getActionParams, getActionService, getActionType, setActionParams, setActionType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddUserDiscountActionDef

    public AddUserDiscountActionDef()

### AddUserDiscountActionDef

    public AddUserDiscountActionDef(java.lang.String set,
                                    java.lang.String name,
                                    java.lang.String description)

  Deprecated. use the two argument constructor
  Constructor.

  Parameters:
    `set` - the discount set name.
    `name` - the discount name.
    `description` - the description of the discount offer.

### AddUserDiscountActionDef

    public AddUserDiscountActionDef(java.lang.String name,
                                    java.lang.String description)

  Constructor.

  Parameters:
    `name` - the discount name.
    `description` - the description of the discount offer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved